package com.lightinit.hsdataportal.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CacheserverExample extends BaseExample{

    protected List<Criteria> oredCriteria;

    public CacheserverExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andServeripIsNull() {
            addCriterion("serverip is null");
            return (Criteria) this;
        }

        public Criteria andServeripIsNotNull() {
            addCriterion("serverip is not null");
            return (Criteria) this;
        }

        public Criteria andServeripEqualTo(String value) {
            addCriterion("serverip =", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripNotEqualTo(String value) {
            addCriterion("serverip <>", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripGreaterThan(String value) {
            addCriterion("serverip >", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripGreaterThanOrEqualTo(String value) {
            addCriterion("serverip >=", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripLessThan(String value) {
            addCriterion("serverip <", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripLessThanOrEqualTo(String value) {
            addCriterion("serverip <=", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripLike(String value) {
            addCriterion("serverip like", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripNotLike(String value) {
            addCriterion("serverip not like", value, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripIn(List<String> values) {
            addCriterion("serverip in", values, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripNotIn(List<String> values) {
            addCriterion("serverip not in", values, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripBetween(String value1, String value2) {
            addCriterion("serverip between", value1, value2, "serverip");
            return (Criteria) this;
        }

        public Criteria andServeripNotBetween(String value1, String value2) {
            addCriterion("serverip not between", value1, value2, "serverip");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionIsNull() {
            addCriterion("serverdescription is null");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionIsNotNull() {
            addCriterion("serverdescription is not null");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionEqualTo(String value) {
            addCriterion("serverdescription =", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionNotEqualTo(String value) {
            addCriterion("serverdescription <>", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionGreaterThan(String value) {
            addCriterion("serverdescription >", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("serverdescription >=", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionLessThan(String value) {
            addCriterion("serverdescription <", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionLessThanOrEqualTo(String value) {
            addCriterion("serverdescription <=", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionLike(String value) {
            addCriterion("serverdescription like", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionNotLike(String value) {
            addCriterion("serverdescription not like", value, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionIn(List<String> values) {
            addCriterion("serverdescription in", values, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionNotIn(List<String> values) {
            addCriterion("serverdescription not in", values, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionBetween(String value1, String value2) {
            addCriterion("serverdescription between", value1, value2, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andServerdescriptionNotBetween(String value1, String value2) {
            addCriterion("serverdescription not between", value1, value2, "serverdescription");
            return (Criteria) this;
        }

        public Criteria andCachetypeIsNull() {
            addCriterion("cachetype is null");
            return (Criteria) this;
        }

        public Criteria andCachetypeIsNotNull() {
            addCriterion("cachetype is not null");
            return (Criteria) this;
        }

        public Criteria andCachetypeEqualTo(Integer value) {
            addCriterion("cachetype =", value, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeNotEqualTo(Integer value) {
            addCriterion("cachetype <>", value, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeGreaterThan(Integer value) {
            addCriterion("cachetype >", value, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("cachetype >=", value, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeLessThan(Integer value) {
            addCriterion("cachetype <", value, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeLessThanOrEqualTo(Integer value) {
            addCriterion("cachetype <=", value, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeIn(List<Integer> values) {
            addCriterion("cachetype in", values, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeNotIn(List<Integer> values) {
            addCriterion("cachetype not in", values, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeBetween(Integer value1, Integer value2) {
            addCriterion("cachetype between", value1, value2, "cachetype");
            return (Criteria) this;
        }

        public Criteria andCachetypeNotBetween(Integer value1, Integer value2) {
            addCriterion("cachetype not between", value1, value2, "cachetype");
            return (Criteria) this;
        }

        public Criteria andRegistertimeIsNull() {
            addCriterion("registertime is null");
            return (Criteria) this;
        }

        public Criteria andRegistertimeIsNotNull() {
            addCriterion("registertime is not null");
            return (Criteria) this;
        }

        public Criteria andRegistertimeEqualTo(Date value) {
            addCriterion("registertime =", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeNotEqualTo(Date value) {
            addCriterion("registertime <>", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeGreaterThan(Date value) {
            addCriterion("registertime >", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeGreaterThanOrEqualTo(Date value) {
            addCriterion("registertime >=", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeLessThan(Date value) {
            addCriterion("registertime <", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeLessThanOrEqualTo(Date value) {
            addCriterion("registertime <=", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeIn(List<Date> values) {
            addCriterion("registertime in", values, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeNotIn(List<Date> values) {
            addCriterion("registertime not in", values, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeBetween(Date value1, Date value2) {
            addCriterion("registertime between", value1, value2, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeNotBetween(Date value1, Date value2) {
            addCriterion("registertime not between", value1, value2, "registertime");
            return (Criteria) this;
        }
    }
}